Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#64346 - [ostree] Hard dependency on mkinitcpio

Attached to Project: Arch Linux
Opened by freswa (frederik) - Friday, 01 November 2019, 15:01 GMT
Last edited by Bartłomiej Piotrowski (Barthalion) - Friday, 22 May 2020, 12:38 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Bartłomiej Piotrowski (Barthalion)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 10
Private No

Details

Description:
Package dependes on mkinitcpio but upstream seems to have support for dracut too at least .

I'd suggest to let ostree depend on initramfs which is provided by mkinitcpio and dracut.
This task depends upon

Closed by  Bartłomiej Piotrowski (Barthalion)
Friday, 22 May 2020, 12:38 GMT
Reason for closing:  Fixed
Additional comments about closing:  ostree 2020.3-2
Comment by freswa (frederik) - Friday, 01 November 2019, 15:07 GMT
Also we should include "--with-dracut" in the configure step too.
Comment by freswa (frederik) - Friday, 01 November 2019, 16:37 GMT
- deleted -
Comment by Andrei Antonov (pl_m) - Friday, 13 December 2019, 18:05 GMT
sorry for flud, I just wouldlike to say: the issue is pretty important (IMHO) because there is the next dependency chain:

gnome-builder depends on flatpak-builder

flatpak-builder depends on flatpak

flatpak depends on ostree

ostree depends on mkinitcpio

that means:

gnome-builder (in gnome-extra group) indirectly depends on mkinitcpio :-)
Comment by Giancarlo Razzolini (grazzolini) - Friday, 10 January 2020, 01:08 GMT
I guess the dependency could be initramfs. Even if dracut is not yet fully supported, users wishing to use it, can uninstall mkinitcpio from their systems if the package depends on initramfs.
Comment by freswa (frederik) - Friday, 10 January 2020, 12:09 GMT
Attached a patch for the PKGBUILD to add dracut support and fix the dependencies.
Comment by marc boocha (marcthe12) - Tuesday, 17 March 2020, 05:44 GMT
Since technically most install of ostree users are not using it in any initramfs (flatpak or podman do not need this and most people are pulling down this as a dep anyway), it could also be an split package or an optional dep. Added bonus of not having ostree update trigerring initcpio rebuilds
Comment by Pascal Ernster (hardfalcon) - Friday, 10 April 2020, 05:09 GMT
Please replace the dependency on mkinitcpio with a dependency on initramfs (which is provided by both mkinitcpio and dracut), and consider making it an optional dependency - flatpak doesn't need to build an initramfs.

I'm using dracut on some of my systems, and this bug has caused them to be unbootable because the unconfigured mkinitcpio pulled in by this package overwrites the perfectly working initramfs built by dracut with a broken one built by mkinitcpio.

//EDIT: Until this bug is fixed, a stopgap measure would be to add "IgnorePkg = mkinitcpio" in /etc/pacman.conf
Comment by tinywrkb (tinywrkb) - Saturday, 25 April 2020, 00:53 GMT
Why mkinitcpio is even a dependency? ostree just adds two mkinitcpio configs that will not gonna be used if mkinitcpio is not installed and is not building the initramfs.
btrfs-progs and other packages also install mkinitcpio configs and do not depend on mkinitcpio or initramfs.

https://github.com/ostreedev/ostree/tree/master/src/boot/mkinitcpio
https://github.com/ostreedev/ostree/commit/ccb10d592ded5b665a11ceca0e61cab1dd6e5013

Loading...